CVE-2023-29198

CVSS 3.1 Score 6.0 of 10 (medium)

Details

Published Sep 6, 2023
Updated: Sep 11, 2023
CWE ID 754

Summary

CVE-2023-29198 is a vulnerability affecting Electron, a framework for developing cross-platform desktop applications using JavaScript, HTML, and CSS. The vulnerability specifically impacts Electron apps that utilize `contextIsolation` and `contextBridge`. It is a context isolation bypass that allows code running in the main world context to access the isolated Electron context and perform privileged actions. This vulnerability can be exploited if an API exposed to the main world via `contextBridge` returns an object or array that contains an unserializable JavaScript object. To remediate this issue, developers should ensure that values returned from functions exposed over the context bridge are supported. The vulnerability has been fixed in certain versions of Electron (25.0.0-alpha.2, 24.0.1, 23.2.3, and 22.3.6). This vulnerability poses a medium risk with a base severity score of 6.0 according to CVSS:3.1 metrics, impacting integrity, confidentiality, and availability at low levels.

Leverage our Vulnerability Intelligence module to secure your systems now - get detailed insights on CVE-2024-37364. Book your demo today.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-29198 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options